Authorization
bearerAuth AuthorizationBearer <token>
API key issued from the dashboard, sent as Authorization: Bearer YOUR_API_KEY.
In: header
Path Parameters
jobId*string
The jobId returned from POST /download.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://vidkraken.com/api/v2/download/string"{
"jobId": "69cfc45e8a3b4d2f9c1e0a7b",
"status": "IN_PROGRESS",
"title": "Rick Astley - Never Gonna Give You Up",
"duration": 213,
"url": "https://youtu.be/dQw4w9WgXcQ",
"format": "1080",
"language": null,
"createdAt": "2026-09-23T20:10:00Z",
"startedAt": "2026-09-23T20:10:04Z",
"completedAt": null,
"progress": {
"stage": "downloading",
"percent": 41,
"bytesDownloaded": 43500000,
"totalBytes": 102300000,
"totalBytesIsEstimate": false,
"updatedAt": "2026-09-23T20:10:19Z"
}
}{
"error": "Missing API key. Provide it as 'Bearer YOUR_API_KEY'"
}{
"error": "Download job not found"
}{
"error": "Failed to enqueue download job"
}